1.0
1.0
get /v1/parameter-groups
Description
List Parameter Groups.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | major_version optional | Software major version Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterGroupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameter-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"id": "",
"major_version": "",
"name": "",
"product_image_type": "",
"product_type": ""
}
],
"sort": [
""
]
}